if {[catch {expr min(1,2)}]} {

  namespace eval tcl::mathfunc {
    proc min {first args} {
      set min $first
      foreach a $args {
        if {$a < $min} {
          set min $a
        }
      }
      return $min
    }
  
    proc max {first args} {
      set max $first
      foreach a $args {
        if {$a > $max} {
          set max $a
        }
      }
      return $max
    }
  }
}

